Nimble tools

Become a member of the CGSociety

Connect, Share, and Learn with our Large Growing CG Art Community. It's Free!

THREAD CLOSED
 
Thread Tools Search this Thread Display Modes
Old 07 July 2013   #1
Nimble tools

Has anyone had any luck installing nimble tools for Maya2014? I downloaded it here:

http://www.creativecrash.com/maya/plugin/uninstancer

But when I tried to activate the plugin, I got this error:

// Error: line 1: (NimbleTools)

It would be really nice to have this as part of maya really.
 
Old 07 July 2013   #2
Yeah, its working ok here in 2014 on windows 7. I have it installed as a module (which I think is how it is suggested in the docs).

David
__________________
http://www.djx.com.au
 
Old 07 July 2013   #3
Hmm... that's odd. Looks like I have the same system as you. 64bit I assume?
 
Old 07 July 2013   #4
I had a look in the script editor (should have done that before) and it says this:

// Error: line 1: ImportError: file C:/extraMayaPlugs/NimbleTools/plug-ins/NimbleTools.py line 27: Bad magic number in C:/extraMayaPlugs/NimbleTools/plug-ins/../python\ns\__init__.pyc //
// Warning: line 1: Failed to call script initialize function //
// Error: pymel : Failed to get controlCommand list from NimbleTools //
// Error: pymel : Failed to get modelEditorCommand list from NimbleTools //
// Error: pymel : Failed to get command list from NimbleTools //
// Error: pymel : Failed to get constraintCommand list from NimbleTools //
// Error: pymel.core : Failed to get depend nodes list from NimbleTools //
// Error: line 1: (NimbleTools) //
 
Old 07 July 2013   #5
A bad magic number error generally means the .pyc was compiled with a different version of Python. Maya 2014 uses a newer version of Python (2.7.3 I believe). Do you have the Python source for the plug-in to work with?
 
Old 07 July 2013   #6
Hi zeroeffect,

Originally Posted by zeroeffect: Do you have the Python source for the plug-in to work with?


There are lots of python files as part of the script (it has a directory with lots of folders and files).

The code in the file that the error refers to has odd characters so I can't cop/paste it here so I attached it.

Thanks for the help!
Attached Files
File Type: zip __init__.zip (215 Bytes, 7 views)
 
Old 07 July 2013   #7
Generally speaking, those .pyc's are all generated when you first run the .py's with the same name. Try deleting all the .pyc's, then restart maya and reload the plugin.

David
__________________
http://www.djx.com.au
 
Old 07 July 2013   #8
Hmm... didn't work I'm afraid. I tried deleting all of them too. They are there when I un-zip the plugin.

One odd thing I have noticed recently is that I get this error whenever I start up maya:

"# Warning: pymel.internal.factories : could not create a PyNode for manipulator type nexManip"

Thanks again for the help!
 
Old 07 July 2013   #9
Take a look here:
http://forums.cgsociety.org/showthread.php?f=7&t=943355

You'll need to download the uncompiled (.py) version

-ChrisZ

Last edited by zeroeffect : 07 July 2013 at 03:48 PM.
 
Old 07 July 2013   #10
Yay! Thanks zeroeffect! This is the link that worked:

unInstancer

Finally! Again though, this really should be a part of maya.
 
Old 07 July 2013   #11
Thread automatically closed

This thread has been automatically closed as it remained inactive for 12 months. If you wish to continue the discussion, please create a new thread in the appropriate forum.
__________________
CGTalk Policy/Legalities
Note that as CGTalk Members, you agree to the terms and conditions of using this website.
 
Thread Closed share thread



Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

vB code is On
Smilies are On
[IMG] code is On
HTML code is Off
CGSociety
Society of Digital Artists
www.cgsociety.org

Powered by vBulletin
Copyright 2000 - 2006,
Jelsoft Enterprises Ltd.
Minimize Ads
Forum Jump
Miscellaneous

All times are GMT. The time now is 03:20 AM.


Powered by vBulletin
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.